Bug 1010273 - Bug.update_attachment causes error when updating filename using key 'file_name'
Bug.update_attachment causes error when updating filename using key 'file_name'
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
Depends On:
  Show dependency treegraph
Reported: 2013-09-20 08:20 EDT by Simon Green
Modified: 2014-10-12 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-03 20:46:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 917483 None None None Never

  None (edit)
Description Simon Green 2013-09-20 08:20:12 EDT
When I was reviewing this new feature I failed to test the changing of the file name. The documentation states to use 'file_name' as the parameter but internally it is 'filename'. 

So I get the error:
The requested method 'Bugzilla::Attachment::set_file_name' was not found.

I will create a patch that converts 'file_name' to 'filename' before set_all() so that we can keep the param naming for attachments consistent.
Comment 2 Simon Green 2013-10-03 20:46:15 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.